summaryrefslogtreecommitdiffstats
path: root/libraries/perl-net-dns/perl-net-dns.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/perl-net-dns/perl-net-dns.SlackBuild')
-rw-r--r--libraries/perl-net-dns/perl-net-dns.SlackBuild32
1 files changed, 14 insertions, 18 deletions
diff --git a/libraries/perl-net-dns/perl-net-dns.SlackBuild b/libraries/perl-net-dns/perl-net-dns.SlackBuild
index e881670568..7a73120bff 100644
--- a/libraries/perl-net-dns/perl-net-dns.SlackBuild
+++ b/libraries/perl-net-dns/perl-net-dns.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for perl-net-dns
-# Copyright 2008-2009 LukenShiro <lukenshiro@ngi.it>
+# Copyright 2008-2010 LukenShiro <lukenshiro@ngi.it>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=perl-net-dns
-VERSION=${VERSION:-0.65}
+VERSION=${VERSION:-0.66}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -63,27 +63,26 @@ find . \
echo "y" | CFLAGS="$SLKCFLAGS" perl Makefile.PL INSTALLDIRS=vendor
make
-
make install DESTDIR=$PKG
#Move man-pages to appropriate place
mv $PKG/usr/share/man $PKG/usr/
-# Remove perlocal.pod, .packlist and .bs from $PKG
-( for i in perllocal.pod .packlist *.bs; do
- find $PKG -name "$i" -exec rm -rf {} \;
- done
+# Remove perllocal.pod and other special files that don't need to be installed
+( cd $PKG
+ # Remove 'special' files
+ find . -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
)
# Remove empty directories
find $PKG -depth -type d -empty -exec rm -rf {} \;
-# strip libraries
-( cd $PKG
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
-
-# compress man pages
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
@@ -92,14 +91,11 @@ find $PKG -depth -type d -empty -exec rm -rf {} \;
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCFILES $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-
-# copy demo files
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/demo
-cp -a demo/* $PKG/usr/doc/$PRGNAM-$VERSION/demo
+cp -a demo $PKG/usr/doc/$PRGNAM-$VERSION
sed -i "s#/usr/local/bin/perl#/usr/bin/perl#g" $PKG/usr/doc/$PRGNAM-$VERSION/demo/*
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}